﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class ExpenseType : CustomBaseObject
    {
        public ExpenseType() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public ExpenseType(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        string expenseName;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string ExpenseName
        {
            get => expenseName;
            set => SetPropertyValue(nameof(ExpenseName), ref expenseName, value);
        }

        [Association("ExpenseType-Expenses")]
        public XPCollection<Expense> Expenses
        {
            get
            {
                return GetCollection<Expense>(nameof(Expenses));
            }
        }





    }

}