﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class OtherIncome : CustomBaseObject
    {
        public OtherIncome() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public OtherIncome(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        OtherIncomeType otherIncomeType;
        [Association("OtherIncomeType-OtherIncomes")]
        public OtherIncomeType OtherIncomeType
        {
            get => otherIncomeType;
            set => SetPropertyValue(nameof(OtherIncomeType), ref otherIncomeType, value);
        }


        DateTime dateCollected;
        public DateTime DateCollected
        {
            get => dateCollected;
            set => SetPropertyValue(nameof(DateCollected), ref dateCollected, value);
        }

        decimal amountCollected;
        public decimal AmountCollected
        {
            get => amountCollected;
            set => SetPropertyValue(nameof(AmountCollected), ref amountCollected, value);
        }

        string remarks;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string Remarks
        {
            get => remarks;
            set => SetPropertyValue(nameof(Remarks), ref remarks, value);
        }

        
    }

}