﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class Payment : CustomBaseObject
    {
        public Payment() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public Payment(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        
        public DateTime DatePaid
        {
            get => datePaid;
            set => SetPropertyValue(nameof(DatePaid), ref datePaid, value);
        }

        string remarks;
        decimal amountPaid;
        DateTime datePaid;
        Student student;
        PaymentType paymentType;
        [Association("PaymentType-Payments")]
        public PaymentType PaymentType
        {
            get => paymentType;
            set => SetPropertyValue(nameof(PaymentType), ref paymentType, value);
        }


        [Association("Student-Payments")]
        public Student Student
        {
            get => student;
            set => SetPropertyValue(nameof(Student), ref student, value);
        }

        public decimal AmountPaid
        {
            get => amountPaid;
            set => SetPropertyValue(nameof(AmountPaid), ref amountPaid, value);
        }
        
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string Remarks
        {
            get => remarks;
            set => SetPropertyValue(nameof(Remarks), ref remarks, value);
        }



    }

}