﻿using System;
using DevExpress.Xpo;
using K12MIS.Module.BusinessObjects.Enums;
using K12MIS.Module.BusinessObjects.Lookups;

namespace K12MIS.Module.BusinessObjects.Lookups
{

    public class SchoolFee : CustomBaseObject
    {
        public SchoolFee() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public SchoolFee(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        string feeType;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string FeeType
        {
            get => feeType;
            set => SetPropertyValue(nameof(FeeType), ref feeType, value);
        }

        private Months _month;
        [DevExpress.Xpo.DisplayName("Month")]
        public Months Months
        {
            get
            {
                return _month;
            }
            set
            {
                SetPropertyValue("Months", ref _month, value);
            }
        }

        decimal amount;
        public decimal Amount
        {
            get => amount;
            set => SetPropertyValue(nameof(Amount), ref amount, value);
        }

        //School school;
        //[Association("School-SchoolFees")]
        //public School School
        //{
        //    get => school;
        //    set => SetPropertyValue(nameof(School), ref school, value);
        //}





    }

}